Initial check-in.
[shibboleth/resolver.git] / bootstrap
diff --git a/bootstrap b/bootstrap
new file mode 100755 (executable)
index 0000000..1e4d21e
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+find_program()
+{
+    prog="$1"
+    vers="$2"
+
+    if test `"$prog-$vers" --version | head -1 | grep -c "$vers"` != 0 ; then
+       program="$prog-$vers"
+    else
+       program="$prog"
+    fi
+}
+
+# Find appropriate versions of the auto tools
+find_program aclocal 1.9
+aclocal="$program"
+find_program autoheader 2.53
+autoheader="$program"
+find_program automake 1.9
+automake="$program"
+find_program autoconf 2.53
+autoconf="$program"
+
+set -x
+
+# Remove autoconf 2.5x's cache directory
+rm -rf autom4te*.cache
+
+$aclocal -I .                            || exit 1
+$autoheader                              || exit 1
+# libtoolize --force --copy               || exit 1
+$automake --foreign --add-missing --copy || exit 1
+$autoconf                                || exit 1